EDIT - feature request #7666

Remaining issues for "Formatter and DTO for taxon relationships (e.g. misapplied names)"
08/20/2018 11:59 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

copied from #6682

for requirements see #6682

e correct symbols for relationships in databases
o EN_DASH for inverse MAN
o "p.p. MAN for" for MAN direct symbol
o pro parte synonyms: WGB: [Symbol overlaps] oder [Symbol includes + p.p.]
protologue links (see screen shot below)
TODOs in code
compare with other formatters, especially reference part
how to handle doubtful information (tag type, combined with following tag, ...)
grouping for MANs, current solution will not work
adapt existing data (e.g. remove work arounds in Nepenthes in appended phrases and others, maybe also show other users
how to use the new MAN framework correctly and adapt some example data in these databases, e.g. deduplication of names)
should we include protologue link to name, see comment below (maybe configurable in data portal?)
Check for Nepenthes abalata and MAN N. alata that the currently existing reference to the type does not exist anymore (see
attachement)

TBC
add NARROW NO-BREAK (\u202F) after doubtful marker as requested in #5492

"Empty" whitespace separator in response
http://int.e-taxonomy.eu/cdmserver/integration_reference/taxon/c6716cee-2039-4ba8-a239-4b1b353f9c84/taxonRelationshipsD

TO.json:

"entityReference": null,

lltext": ll\ll'l,
"type": "postSeparator",
"class": "TaggedText"

"entityReference": null,

"text": " ", <===== 11111
"type": "separator",
"class": "TaggedText"

"entityReference": null,

"text": "auctrs. afr.",
"type": "appendedPhrase",
"class": "TaggedText"
https://dev.e-taxonomy.eu/redmine/issues/6682
https://dev.e-taxonomy.eu/redmine/issues/6682
https://dev.e-taxonomy.eu/redmine/issues/5492
http://int.e-taxonomy.eu/cdmserver/integration_reference/taxon/c6716cee-2039-4ba8-a239-4b1b353f9c84/taxonRelationshipsDTO.json:
http://int.e-taxonomy.eu/cdmserver/integration_reference/taxon/c6716cee-2039-4ba8-a239-4b1b353f9c84/taxonRelationshipsDTO.json:

(RN A TIEE- 1Y

— "Nepenthes alata" Pro Parte & sec. Cheek, M.R. & Jebb, M.H.P., 2001<
sensu Cheek, M.R. & Jebb, M.H.P.7

3. Cheek, M.R. & Jebb, M H.P, Flora Malesiana - Nepenthaceae, Series |, Volume 15.
2001, 4. Macfarlane, J.M. - in Engler, A_, Pflanzenr. IV. 111 (Heft 36). 1908
2. Type: Blanco s.n. (not located, PNHT?), Philippines, Luzon, llocos, Vintar

Also check carefully against results discussed in #5676

Example for pro parte synonym: Nepenthes boschiana
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/a0f4770e-5076-43e4-950f-01166e65669d

Related issues:

Related to EDIT - feature request #7658: use new taxon relationship DTO webse... Closed
Related to EDIT - bug #6652: [Discuss] misapplied names: hide protologue icon New

Related to EDIT - bug #7656: Adapt inverse symbol for MisappliedName relation... Duplicate
Related to EDIT - bug #5676: Sensu does not show up if no author exists for s... Closed
Related to EDIT - feature request #6681: Correct formatting for misapplied na... Closed
Related to EDIT - feature request #5647: Aggregate misapplied names with mult... Closed
Related to EDIT - feature request #7753: use TaxonRelationshipFormatter for M... Closed
Related to EDIT - task #8055: Correct formatting for invalid designations Rejected
Related to EDIT - task #8275: [DISCUSS] Relationship between invalid designat... Worksforme
Copied from EDIT - feature request #6682: Formatter and DTO for taxon relatio... Closed

Associated revisions

Revision 9¢8dc025 - 08/20/2018 11:52 AM - Andreas Miiller
ref #6682 split doubtful in rel doubtful and taxon doubtful + use full authorshipCache for MAN non-authors

Revision 5¢5d1f1f - 08/20/2018 12:48 PM - Andreas Miiller
ref #7666 adapt test for new doubtful handling in formatter

Revision b7f100e5 - 09/04/2018 09:16 AM - Andreas Kohlbecker
ref #7666 adding NARROW NO-BREAK after doubtful marker

Revision 5e7f22d8 - 09/04/2018 09:34 AM - Andreas Kohlbecker
ref #7666 adding NARROW NO-BREAK after doubtful marker - adapting test

Revision 530b3394 - 09/04/2018 10:57 AM - Andreas Kohlbecker
ref #7666 NARROW NO-BREAK in UTF8 class

Revision c331fa7e - 09/10/2018 04:23 PM - Andreas Miiller

ref #7666 fix team formatting (incorrect index of ambersand)

Revision b127d201 - 09/11/2018 02:03 PM - Andreas Miuller

ref #7666 allow formatting without name part

Revision 013e3b2f - 09/11/2018 02:09 PM - Andreas Miiller

ref #7666 allow formatting without name part (2. test)

Revision dd3ea7ac - 09/11/2018 02:54 PM - Andreas Miiller
ref #7666 replace StringUtils dependency by correct one

Revision 603aecbe - 09/12/2018 05:07 PM - Andreas Kohlbecker
ref #7666 doGetTaxonRelationshipsDTO groupMisapplications paramter default = false

Revision 08670423 - 06/22/2022 09:44 AM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/5676
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/a0f4770e-5076-43e4-950f-01166e65669d

ref #7666 add test for pro parte MAN formatting

History

#1 - 08/20/2018 11:59 AM - Andreas Miiller

- Description updated

#2 - 08/20/2018 12:01 PM - Andreas Miiller

- Description updated

#3 - 08/20/2018 12:03 PM - Andreas Miiller

- Related to feature request #7658: use new taxon relationship DTO webservice in portal added

#4 - 08/20/2018 12:03 PM - Andreas Miiller
- Related to bug #6652: [Discuss] misapplied names: hide protologue icon added

#5 - 08/20/2018 12:03 PM - Andreas Miiller
- Related to bug #7656: Adapt inverse symbol for MisappliedName relationship type added

#6 - 08/20/2018 12:03 PM - Andreas Miiller

- Related to bug #5676: Sensu does not show up if no author exists for secundum reference added

#7 - 08/20/2018 12:04 PM - Andreas Miller

- Related to feature request #6681: Correct formatting for misapplied names in name editor added

#8 - 08/20/2018 12:48 PM - Andreas Miiller

- Copied to feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names) added

#9 - 08/20/2018 05:42 PM - Andreas Miiller

- Description updated

#10 - 08/20/2018 05:59 PM - Andreas Miiller

- Description updated

#11 - 08/20/2018 06:06 PM - Andreas Miiller
- File picture990-1.png added

- Description updated

WGB: Der Buchlink verweist auf den Protolog von N. blancoi Blume — der hat ja aber gerade nichts mit dieser Namensanwendung zu tun (also:
Protologbildlinks miissen bei MAN weggelassen werden oder der Link muss nach dem
eingefugt werden)

#12 - 08/20/2018 06:17 PM - Andreas Miiller

- Description updated

#13 - 08/28/2018 11:35 AM - Andreas Kohlbecker
Problems with current implementation of the new webservice:
1. relations.representation_L10n and relations.representation_L10n_abbreviatedLabel is always an empty string
2. The TaggedText lists in the misapplications field of the DTO need the relation ship type as additional information: "Im Portal kdnnen ALLE
TaxonRelationen ein und ausgeschaltet werden, so auch die MAs und INVALID_DESIGNATION_FORs. Daher muss ich die misapplications im

DTO unterscheiden kénnen . Ein einfaches Feld misapplications mit einer Liste von TaggedTitle reicht nicht aus. Der Relationstype fehlt hier."
--> use an DTO class which has two fields, taggedText and relationshiptype

#14 - 08/30/2018 05:08 PM - Andreas Kohlbecker
A disadvantage of the current implememtation of the taxon relationships webservice and DTO when being used in the dataportal:
The secRefs are returned in the taggedText of the DTO only as authorship - good! The dataportal needs to show the full citation of the secRef in as

footnote. The fullCitation is not included in the DTO, so the dataportal would need to fetch the reference from the webservice. Therefore | suggest to
add the reference titlecache as label to the typedEntityReference:
"entityReference": ({

"label": ">>>>>TITLE_CACHE<<<<",
"type": "Reference",
"class": "TypedEntityReference",

"uuid": "206add8c-3eae-4d9c-872c-e15409d2a3d9"
br

"text": "Cheek, Jebb 2001",
"type": "secReference",
"class": "TaggedText"

}I

#15 - 08/30/2018 06:11 PM - Andreas Miiller

- Status changed from New to In Progress

Andreas Kohlbecker wrote:
A disadvantage of the current implememtation of the taxon relationships webservice and DTO when being used in the dataportal:

The secRefs are returned in the taggedText of the DTO only as authorship - good! The dataportal needs to show the full citation of the secRef in
as footnote. The fullCitation is not included in the DTO, so the dataportal would need to fetch the reference from the webservice. Therefore |
suggest to add the reference titlecache as label to the typedEntityReference:

I am not sure if the titleCache is enough. The information we need is the finally the full OriginalSource information (soon it will be OriginalSource
including external links, currently it is Reference + Detail).

Also Sources need to allow different types of formatting again and need deduplication functionality. This is hard to implement in
TypedEntityReference without having to make this class too complex.

Also, as the relationship reference should be able to fully integrate into the general bibliography model the way how references/sources are loaded
should be similar to the way all other references/sources are loaded. And | don't think those currently use TypedEntityReference.

General we need to define what TaggedText can be used for. Originally it was only for formatting taxon names and to transfer the results of a

formatter/cacheStrategy class to the client. We more and more use it as a data holder/DTO for various CDM types, which needs to be discussed
further.

#16 - 08/31/2018 11:03 AM - Andreas Miiller

- Related to feature request #5647: Aggregate misapplied names with multiple sensu references added

#17 - 08/31/2018 11:08 AM - Andreas Kohlbecker

Ok from this future perspective it makes sense to decouple the loading of the references and the display of the MANs. Extending the ReationshipDTO
could be an alternative but bloating the tagged text list to transport the full source information makes not much sense.

As the full reference information will be displayed in the footnotes we could do bulk loading of all references/sources when processing this page part.
By this we can limit the overhead imposed by the required additional requests.

#18 - 09/04/2018 09:05 AM - Andreas Kohlbecker
- Description updated

#19 - 09/04/2018 09:12 AM - Andreas Kohlbecker
- Description updated

#20 - 09/04/2018 09:44 AM - Andreas Miiller

When implementing:

add NARROW NO-BREAK (\u202F) after doubtful marker as requested in #5492

can you please add the marker to the class UTF8 in cdmlib commons?

#21 - 09/04/2018 09:45 AM - Andreas Miiller

should we change Assignee of this ticket?

#22 - 09/04/2018 10:59 AM - Andreas Kohlbecker

Andreas Muller wrote:

should we change Assignee of this ticket?
https://dev.e-taxonomy.eu/redmine/issues/5492

No need to, the NARROW_NO_BREAK is now a constant in the UTF8 class.
But what about the
String doubtfulRelationStr = taxonRelationship.isDoubtful() 2 "2" : "";
do we also need to append the NARROW_NO_BREAK to the doubtful relation marker?
#23 - 09/04/2018 11:17 AM - Andreas Miiller
Andreas Kohlbecker wrote:
the NARROW_NO_BREAK is now a constant in the UTF8 class.
But what about the
String doubtfulRelationStr = taxonRelationship.isDoubtful() 2 "2" : "";

do we also need to append the NARROW_NO_BREAK to the doubtful relation marker?

Yes | think we should handle them both similar.
By the way, probably you have realized, that the handling of the doubtful marker is not very implemented yet. One time it is part of Tag type "symbol"

one time it is part of "separator" which is not really correct. There might be better ways. E.g. we could have "doubtful" as a separate Tag type instead.
And then use NARROW_NO_BREAK as post-separator. Needs to be discussed.

#24 - 09/10/2018 04:20 PM - Andreas Miiller

- Description updated

#25 - 09/12/2018 09:42 AM - Andreas Miiller

- Copied to deleted (feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names))

#26 - 09/12/2018 09:43 AM - Andreas Miiller

- Copied from feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names) added

#27 - 09/12/2018 09:49 AM - Katja Luther

- Related to feature request #7753: use TaxonRelationshipFormatter for MAN and pro parte synonyms in name editor added

#28 - 09/13/2018 11:54 AM - Andreas Kohlbecker

- Description updated

#29 - 09/17/2018 11:38 AM - Andreas Miuiller

- Target version changed from Release 5.3 to Release 5.4

#30 - 10/25/2018 10:48 AM - Andreas Miuiller

- Target version changed from Release 5.4 to Release 5.5

#31 -12/17/2018 01:51 PM - Andreas Kohlbecker

- Tags set to formatter

#32 - 12/17/2018 01:53 PM - Andreas Kohlbecker

- Tags changed from formatter to formatting

#33 - 02/14/2019 10:38 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#34 - 02/19/2019 05:20 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Reviewed Next Major Release

#35 - 05/14/2019 11:22 AM - Andreas Muller
- Related to task #8055: Correct formatting for invalid designations added

#36 - 05/14/2019 11:40 AM - Andreas Miiller
- Related to task #8275: [DISCUSS] Relationship between invalid designations and invalid names / nom. inval. added

Files

picture990-1.png 14.7 KB 08/20/2018 Andreas Miller
